2020-10-26 20:09 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001828DoubleDragon2[All Projects] Generalpublic2017-11-20 16:41
ReporterMikael Arling 
Assigned ToStingRayProject InfoDouble Dragon 2 - The Revenge (Virgin)
http://www.whdload.de/games/DoubleDragon2.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0001828: Double Dragon 2 - The Revenge: The installer suddenly pops up with a requester
DescriptionInstall: Double Dragon 2 - The Revenge (Virgin) http://whdload.de/games/DoubleDragon2.html
GameVersion: english, 1 disks, (Don't know if is a PAL or NTSC version)
SlaveVersion: 1.0 from 04.02.2002

The installer suddenly pops up with a requester that says: "CyberDOS.exe, Program failed (error #80000004), Wait for disk activity to finish." Please note: At the moment my only "working Amiga" is WinUAE, and please also note that I AM using an ORGINIAL disk in form of an IPF file. Anyway: I can't get MY version of this game to work at all, but I can send it to you so you can see it for yourself. BTW: Please create a drawer with an info file for this installer in the future.
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem64 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.9beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0001258

Wepl (manager)

Double Dragon 2 (4.2.2002)

The installer suddenly pops up with a requester that says:

>>CyberDOS.exe, Program failed (error #80000004). Wait for disk activity to finish.<<

Please note: At the moment my only "Working Amiga" is WinUAE due to an IDE-Fix Controller that suddenly stopped working, so I have no way of knowing if it works on a real Amiga 1200.

Please also note: I AM using an ORIGINAL disk in form of an IPF-file.

I am always using the latest version of both WinUAE and WHDLoad.

MY Amiga 1200 consists of:

Standart Amiga 1200 from 1993.
Blizzard 1260 with 64 MB of RAM (Not overclocked).
Elbox Mediator 1200LT4 (Drivers not installed anymore).
IDE-Fix Controller (Not working anymore).

Mikael Arling

Please note on your part of the WHDLoad Support Page that you got this version of this game from me.

note ~0001259

Wepl (manager)

I have already images of this version

note ~0002575

Mikael Arling (reporter)

The reported version is SPS 2635

note ~0005829

StingRay (developer)

Fixed in v1.5. You need to reinstall the game!

note ~0005835

Mikael Arling (reporter)

Thanx. Now The Installer works fine.

The Game quits with a requester that says:

>> Exception "Access Fault" ($4008)
   PC = $6
   Long Read-Modify-Write on $DFC1FB << in WinUAE.

Please note: I'm always using the latest version of WinUAE & WHDLoad.

Now I'm also using beta-version(s) & RC-version(s) of WHDLoad + The latests RC-version(s) of WinUAE.

MY WinUAE setup is a close to My real Amiga 1200 Hardware as possible.

ATM I - still - have no way of knowing if it works on my real Amiga 1200.

The reported version - still - is SPS 2635.

The Installer I've used is Version 1.5

note ~0005836

StingRay (developer)

Can't reproduce, attach register dump please.

note ~0005837

Mikael Arling (reporter)

please tell me How to "attach register dump"

note ~0005838

retrogamer (reporter)

Take a look in the botton of the screen.

note ~0005839

StingRay (developer)

Last edited: 2017-11-12 14:15

View 2 revisions

Retrogamer: Not a useful answer at all!

Mikael: WHDLoad will store the dump files in C:. Attach .whdl_register here please.

note ~0005840

Mikael Arling (reporter)

i hope This is the needed files

note ~0005842

StingRay (developer)

Yes, these are the correct files.

There is nothing of the main game loaded to the correct destination and the decruncher is trashed too which is very strange. Please attach the file "S08.DD2N" (found in the "data" directory) here.

note ~0005845

retrogamer (reporter)

Done!

note ~0005846

retrogamer (reporter)

Please StingRay can you add 68000 quitkey support too?

note ~0005847

StingRay (developer)

That's not the correct file (it's from v4.01 and Mikael used v4.16) and I need it from Mikael anyway to check if it is broken on his machine. 68000 quitkey support will be added in a later update, as written in the readme this is not the final version of this patch.

note ~0005848

Mikael Arling (reporter)

Here is S08.DD2N from SPS 2635

note ~0005850

StingRay (developer)

Thanks, the file is OK. But I can't reproduce the crash at all. Which WinUAE version and config are you using(specially CPU/JIT enabled? etc).

note ~0005854

Mikael Arling (reporter)

I'm using WinUAE 3.5.0 64-bit.

Personally I no longer use JIT

This in My WinUAE setup -> It is as close to my Real Amiga 1200 HW as possible.

note ~0005855

Mikael Arling (reporter)

Sorry: This is My WinUAE setup -> It is as close to my Real Amiga 1200 HW as possible.

note ~0005857

StingRay (developer)

Thanks. Can you attach the Blizzard1260.rom file please? I can't seem to find it anywhere and I guess this is the key to the problem.

note ~0005858

Mikael Arling (reporter)

No Problem

note ~0005860

StingRay (developer)

I still can't reproduce this at all. I have tested the patch with your UAE config and it worked fine. Please attach your whole installed game so I can check all files. If these are OK I am out of ideas.

note ~0005861

Mikael Arling (reporter)

Sorry.

This webSide does not allow big files -> I could Not upload the Full Installed game

note ~0005862

retrogamer (reporter)

Try this link

https://myfile.org/

You can upload files as big as 5 GB free.

note ~0005866

Mikael Arling (reporter)

Ok. Thanx

Just uploaded !!!

link: https://myfile.org/b1d7Z2cab5/SPS-2635t.7z

note ~0005870

StingRay (developer)

Last edited: 2017-11-19 10:18

View 3 revisions

Thanks Retrogamer and Mikael! Your installed game is OK, it works fine for me and I still can't reproduce the problem. One question I forgot to ask though, are you running the patch with NTSC tooltype? SPS 2635 is the NTSC version and will not work correctly without the NTSC option.

Also, can you try any of the supported PAL versions and tell me if they also crash on your system?

note ~0005874

Mikael Arling (reporter)

Ok I didn't knew that SPS 2635 is the NTSC Version. On the Software Preservation Society's HP there is N O info about that 2635 is the NTSC Version. That answered it all.

No. I haven't used the NTSC Tooltype because:
1.: I thought that it just worked out of the box.
2.: I thoughtthat SPS 2635 was the latest version.

SPS 0768 works as it should & SPS 1680 also works as it should out of the box.

So now I'm using / playing SPS 1680 instead of SPS 2635 :-D

note ~0005875

StingRay (developer)

On a PAL machine it will need the NTSC tooltype, it can't work out of the box. So I guess we nailed the problem now and I won't look into it any further.

And yes, it is the latest version (4.16) but NTSC only. :)

note ~0005877

Mikael Arling (reporter)

Ok.

Anyway: A 1 0 0 0 Thanx for Your time at DD2 SPS 2635
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 01:19 administrator New Issue
2009-04-10 01:19 administrator Status new => assigned
2009-04-10 01:19 administrator Assigned To => GalahadFLT
2009-04-10 01:19 administrator Machine => A1200
2009-04-10 01:19 administrator CPU => 68060
2009-04-10 01:19 administrator CPUSpeed => 50
2009-04-10 01:19 administrator ChipSet => AGA
2009-04-10 01:19 administrator GFXCard => None
2009-04-10 01:19 administrator ChipMem => 2 MB
2009-04-10 01:19 administrator FastMem => 64 MB
2009-04-10 01:19 administrator Workbench => OS 3.9
2009-04-10 01:19 administrator KickROM => 40 - Kick 3.1
2009-04-10 01:19 administrator KickSoft => None
2009-04-10 01:19 administrator WHDLoad => 16.9beta
2009-04-10 01:19 administrator imported => yes
2009-06-22 23:23 Wepl Note Added: 0001258
2009-06-22 23:23 Wepl Note Added: 0001259
2012-01-10 02:24 Mikael Arling Note Added: 0002575
2017-11-11 12:15 StingRay Assigned To GalahadFLT => StingRay
2017-11-11 12:15 StingRay Status assigned => resolved
2017-11-11 12:15 StingRay Resolution open => fixed
2017-11-11 12:15 StingRay Note Added: 0005829
2017-11-12 10:29 Mikael Arling Note Added: 0005835
2017-11-12 13:08 StingRay Note Added: 0005836
2017-11-12 13:24 Mikael Arling Note Added: 0005837
2017-11-12 13:50 retrogamer Note Added: 0005838
2017-11-12 14:15 StingRay Note Added: 0005839
2017-11-12 14:15 StingRay Note Edited: 0005839 View Revisions
2017-11-12 19:34 Mikael Arling File Added: WHDLoad.7z
2017-11-12 19:34 Mikael Arling Note Added: 0005840
2017-11-13 14:11 StingRay Note Added: 0005842
2017-11-13 17:11 retrogamer File Added: S08.zip
2017-11-13 17:12 retrogamer Note Added: 0005845
2017-11-13 17:16 retrogamer Note Added: 0005846
2017-11-14 08:09 StingRay Note Added: 0005847
2017-11-14 15:19 Mikael Arling File Added: S08.DD2N
2017-11-14 15:19 Mikael Arling Note Added: 0005848
2017-11-14 18:01 StingRay Note Added: 0005850
2017-11-15 20:42 Mikael Arling File Added: SystemUAE (060+2Chip+64Fast+MMU+FPU+NoJIT).uae
2017-11-15 20:42 Mikael Arling Note Added: 0005854
2017-11-15 20:43 Mikael Arling Note Added: 0005855
2017-11-15 21:00 StingRay Note Added: 0005857
2017-11-15 22:24 Mikael Arling File Added: Blizzard_1260.rom
2017-11-15 22:24 Mikael Arling Note Added: 0005858
2017-11-16 18:34 StingRay Note Added: 0005860
2017-11-16 19:29 Mikael Arling Note Added: 0005861
2017-11-16 19:34 retrogamer Note Added: 0005862
2017-11-17 20:45 Mikael Arling Note Added: 0005866
2017-11-19 10:09 StingRay Note Added: 0005870
2017-11-19 10:10 StingRay Note Edited: 0005870 View Revisions
2017-11-19 10:18 StingRay Note Edited: 0005870 View Revisions
2017-11-19 17:57 Mikael Arling Note Added: 0005874
2017-11-19 18:11 StingRay Note Added: 0005875
2017-11-20 16:41 Mikael Arling Note Added: 0005877
+Issue History